BOTCH-DOSE2HTML(1)

NAME
botch-dose2html - turn the yaml output by dose-builddebcheck into html

SYNOPSIS

botch-dose2html [options] in.yaml out.html

DESCRIPTION
Given a buildcheck or distcheck result, create a html overview and machine readable json data.

OPTIONS

-h, --help
    Show help.

--btsuser
    bts user to associate packages with. Must be given in conjunction with --btstag.

--btstag
    bts tag to associate packages with. Must be given in conjunction with --btsuser.

--desc
    A HTML description that will be put on top of the generated page.

--srcsdir
    Output directory for individual source package overviews. Must be given in conjunction with --packages.

--wnpp
    Retrieve and print wnpp status for packages. Must be given in conjunction with --packages.

--packages
    Packages file to create a mapping from binary to source packages. Must be given in conjunction with --srcsdir. This argument can be specified more than once.

--timestamp
    Add timestamp to generated HTML.

--wwwroot
    This string will be removed from the beginning of the hyperlinks to the source package overviews created with the --srcsdir option.

-v, --verbose
    Be verbose.

EXAMPLE
Generate overview:

 dose-builddebcheck --explain --successes --failures --deb-native-arch=amd64 \
      packages-build packages-host sources | botch-dose2html - out.html

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.